Skip to main content
PATCH
/
v2
/
objects
/
workspaces
/
records
/
{record_id}
Update a workspace Record
curl --request PATCH \
  --url https://api.attio.com/v2/objects/workspaces/records/{record_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "values": {
      "workspace_id": "123",
      "name": "Customer.com",
      "avatar_url": "https://example.com/avatar.png",
      "users": [
        {
          "target_object": "users",
          "target_record_id": "5e3fb280-007b-495a-a530-9354bde01de1"
        }
      ],
      "company": {
        "target_object": "companies",
        "target_record_id": "99a03ff3-0435-47da-95cc-76b2caeb4dab"
      }
    }
  }
}
'
{
  "data": {
    "id": {
      "workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
      "object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
      "record_id": "bf071e1f-6035-429d-b874-d83ea64ea13b"
    },
    "created_at": "2022-11-21T13:22:49.061281000Z",
    "web_url": "https://app.attio.com/salarya/person/bf071e1f-6035-429d-b874-d83ea64ea13b",
    "values": {
      "workspace_id": [
        {
          "active_from": "2023-01-01T15:00:00.000000000Z",
          "active_until": null,
          "created_by_actor": {
            "type": "system",
            "id": null
          },
          "value": "123",
          "attribute_type": "text"
        }
      ],
      "name": [
        {
          "active_from": "2023-01-01T15:00:00.000000000Z",
          "active_until": null,
          "created_by_actor": {
            "type": "system",
            "id": null
          },
          "value": "Fundstack",
          "attribute_type": "text"
        }
      ],
      "users": [
        {
          "active_from": "2023-01-01T15:00:00.000000000Z",
          "active_until": null,
          "created_by_actor": {
            "type": "system",
            "id": null
          },
          "target_object": "users",
          "target_record_id": "5e3fb280-007b-495a-a530-9354bde01de1",
          "attribute_type": "record-reference"
        }
      ],
      "company": [
        {
          "active_from": "2023-01-01T15:00:00.000000000Z",
          "active_until": null,
          "created_by_actor": {
            "type": "system",
            "id": null
          },
          "target_object": "companies",
          "target_record_id": "99a03ff3-0435-47da-95cc-76b2caeb4dab",
          "attribute_type": "record-reference"
        }
      ],
      "avatar_url": [
        {
          "active_from": "2023-01-01T15:00:00.000000000Z",
          "active_until": null,
          "created_by_actor": {
            "type": "system",
            "id": null
          },
          "value": "https://example.com/avatar.png",
          "attribute_type": "text"
        }
      ]
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.attio.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

This API uses OAuth 2.0 with the authorization code grant flow.

Path Parameters

record_id
string
required

A UUID of the workspace record to update.

Example:

"72ef5feaf-4919-4208-b332-1339ab8ba040"

Body

application/json
data
object
required

Response

Success

Success

data
object
required